This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 218907 - Review Request: search4files - A handy file search tool
Review Request: search4files - A handy file search tool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-08 03:18 EST by Mamoru TASAKA
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-09 19:10:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2006-12-08 03:18:36 EST
Spec URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/search4files.spec
SRPM URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/search4files-0.1c-1.src.rpm
Description: 

A handy file search tool using different backends which is 
configurable via the command line.

This program acts as a frontend for different file search engines. 
The interface is intentionally lightweight and simple. But it takes 
configuration options from the command line.
Comment 1 Christoph Wickert 2006-12-09 17:37:08 EST
REVIEW for 
f7bdb6dfd5f9fb3350954bb20c11381b  search4files-0.1c-1.src.rpm

OK - rpmlint gives a 'configure-without-libdir-spec' error on the srpm:
     ./configure doesn't take --configure. no libs, so this doesn't matter.
OK - package named according to the package naming guidelines
OK - specfile name matches package name
OK - package meets packaging guidelines
OK - license is open-source compatible (GPL)
OK - license field in spec matches actual license
OK - license included in source and correctly installed in %doc
OK - spec is in American English
OK - spec is legible and very well documented
OK - source in srpm matches upstream by md5
     d568697071bf93fad090a77e9d78f4d1
OK - package compiles and build into noarch rpm on core 6 i386
OK - BuildRequires are sane
OK - no locales to worry about
OK - no shared libs to worry about
OK - package is not relocatable
OK - package owns all directories it creates
OK - no duplicates in %files
OK - file permissions and %defattr are correct
OK - valid clean section present
OK - macro usage consistent
OK - code, not content
OK - no header files, static libs or *.pc files
OK - no libtool archives
OK - fedora-search4files.desktop is correctly installed with desktop-file-install
OK - package doesn't own directories already owned by other files
OK - package builds in mock (devel)
OK - package works fine

APPROVED
Comment 2 Mamoru TASAKA 2006-12-09 19:10:58 EST
Well,
* Rebuild for FE-devel succeeded.
* SyncNeeded is requested for FE5/6.

I close this bug as CLOSED NEXTRELEASE. Thank you for
reviewing and approving this package.

Note You need to log in before you can comment on or make changes to this bug.